## Highlights from the past week

- Atom IDE
  - ConsoleLogging now working but pending Facebook resolving a Console layout bug in Atom IDE UI
- @atom/watcher
  - Correctly emit deletion events for moves out of the watch root on Linux and MacOS [#125](https://github.com/atom/watcher/pull/125)
  - Upgrade MacOS build to CircleCI 2.0 [#129](https://github.com/atom/watcher/pull/129)
  - Enable Greenkeeper [#128](https://github.com/atom/watcher/pull/128)
- GitHub Package
  - Finish "Remember me" within the credential dialog [#1327](https://github.com/atom/github/pull/1327)
  - Sanitize stderr from git in error notifications [#1331](https://github.com/atom/github/pull/1331)
  - Upgrade MacOS build to CircleCI 2.0 [#1334](https://github.com/atom/github/pull/1334)
  - Fix a stack trace when shifting focus to and from the FilePatchView [#1342](https://github.com/atom/github/pull/1342)
  - Fix sluggish performance when editing commit messages while a large file patch is visible [#1347](https://github.com/atom/github/pull/1347)
  - Fix stack trace caused by upstream changes in Relay [#1344](https://github.com/atom/github/pull/1344)
  - Begin packaging bundled GPG binaries akin to the way we handle git [atom/squeegpg-native](https://github.com/atom/squeegpg-native)
- Teletype
  - Released [Teletype 0.10.0](https://github.com/atom/teletype/releases/tag/v0.10.0), introducing a streamlined view of your collaborators' avatars inside the editor ([atom/teletype#332](https://github.com/atom/teletype/issues/332))
- Tree-sitter
  - Implemented some optimizations to make Tree-sitter parsers compile faster and produce smaller binaries (https://github.com/tree-sitter/tree-sitter/pull/137) (https://github.com/tree-sitter/tree-sitter/pull/140).
- Xray
  - Short week for a variety of reasons, but made progress on selections and decided on a pretty big change to our architecture. See the [Xray weekly update](https://github.com/atom/xray/blob/master/docs/updates/2018_03_12.md) for details.
- Engineering Improvements
  - Begin a more robust solution to locating the correct Python binary [atom/atom#16885](https://github.com/atom/atom/pull/16885) [atom/apm#775](https://github.com/atom/apm/pull/775) [atom/dowsing-rod](https://github.com/atom/dowsing-rod)

## Focus for week ahead

- Atom IDE
  - Reach out to Facebook regarding Debugger, Workspace viewer and possible rename symbol UI
  - Per-folder configuration system
  - Learn rust and get to grips with current ide-rust implementation
- GitHub Package
  - Continue packaging a bundled GPG distribution [atom/squeegpg-native](https://github.com/atom/squeegpg-native)
  - Write the JavaScript side of GPG interaction (atom/squeegpg)
- Teletype
  - Open RFC for [streamlining collaboration set-up](https://github.com/atom/atom/blob/3752dca5b032e3b95bb480a6de73bbde41eb821c/docs/focus/README.md#2-streamline-collaboration-set-up)
  - Begin adding support for joining a portal via URL ([atom/teletype#109](https://github.com/atom/teletype/issues/109))
- Tree-sitter
  - Work with Xray team to figure out how Tree-sitter will be used from Xray.
- Xray
  - We plan to translate some of our architectural decisions from last week into actual code. See the [Xray weekly update](https://github.com/atom/xray/blob/master/docs/updates/2018_03_12.md) for details.
