## Highlights from the past week

- Atom IDE
  - Started implementing project root settings, initial PR next week
- GitHub Package
  - Commit with co-authors! Our first version pulls author names and email addresses from local repos. Future versions will include GitHub usernames (mentionable users) [atom/github#1355](https://github.com/atom/github/pull/1355)
- Teletype
  - Added ability to share and join a portal via URL ([atom/teletype#109](https://github.com/atom/teletype/issues/109)) 👩‍💻:atom:🔗:atom:👨‍💻
  - Published initial draft of proposal for streamlining collaboration set-up, and issued request for comments ([atom/teletype#344](https://github.com/atom/teletype/pull/344))
- Xray
  - Merged a PR that switches Xray to a client/server architecture [#46](https://github.com/atom/xray/pull/46).
  - Made good progress on a fast file finder [#55](https://github.com/atom/xray/pull/55)
  - See [this week's in depth update](https://github.com/atom/xray/blob/master/docs/updates/2018_03_26.md) for details.
- Reactor Duty
  - Further limit the ability to modify read-only `TextEditor` buffers. [#16736](https://github.com/atom/atom/issues/16736)
  - `TextEditor.scan()` methods skipped a row when a zero-length match was encountered at the end of a row. [#16983](https://github.com/atom/atom/issues/16983)
  - Review and merge @t9md's PRs to preserve selections when a buffer is open in multiple editors and undo and redo are triggered. [atom/text-buffer#287](https://github.com/atom/text-buffer/pull/287), [#16564](https://github.com/atom/atom/pull/16564)
  - Prevent bracket-matcher from triggering onDidChange before the final cursor placement, which caused the wrong cursor position to be send to autocomplete providers. [atom/autocomplete-plus#954](https://github.com/atom/autocomplete-plus/issues/954)
  - Review and merge @Arcanemagus' PR to update the CircleCI template to CircleCI 2.0 [atom/ci#82](https://github.com/atom/ci/issues/82)
  - Review and merge @hansonw's PR to sanitize HTML within notification messages [atom/notifications#187](https://github.com/atom/notifications/pull/187)

## Focus for week ahead

- Atom IDE
  - Send initial PR for project root settings
- GitHub Package
  - Undo last commit and replace amend check-box with an amend context-menu option
  - Build on co-author feature
  - Investigate how GitHub package code can be reused for other editor integrations
- Teletype
  - Publish new Teletype release with support for sharing and joining a portal via URL ([atom/teletype-client#56](https://github.com/atom/teletype-client/pull/56))
  - Incorporate feedback into the RFC for streamlining collaboration set-up and open it up for another round of comments ([atom/teletype#344](https://github.com/atom/teletype/pull/344))
- Xray
  - Finish the basic file finder experience [#55](https://github.com/atom/xray/pull/55)
  - Add ignore support to the file finder for improved performance in the common case.
  - Start on key bindings.
  - See [this week's in depth update](https://github.com/atom/xray/blob/master/docs/updates/2018_03_26.md) for details.
- Reactor Duty
  - Continue working down [the prioritized queue](https://github.com/orgs/atom/projects/2). :rocket:
