## Highlights from the past week

- Atom Core
  - Drafted Q2 plan for Atom Core
- GitHub Package
  - Finish porting the final component subtree to React. No more etch :tada: [atom/github#1424](https://github.com/atom/github/pull/1424)
  - Move React components that allow declarative interactions with the Atom API to their own subfolder [atom/github#1426](https://github.com/atom/github/pull/1426)
  - Upgrade a ton of minor dependencies in one fell swoop [atom/github#1427](https://github.com/atom/github/pull/1427)
  - Modernized and merged the git operation cache diagnostic pane that I'd started forever ago [atom/github#798](https://github.com/atom/github/pull/798)
  - Some development environment setup documentation [atom/github#1429](https://github.com/atom/github/pull/1429)
  - Eliminate decorators. Remove babel-eslint, eslint-plugin-babel, and a host of other unused dependencies. [atom/github#1430](https://github.com/atom/github/pull/1430)
  - Upgrade Relay to 1.6.0 [atom/github#1428](https://github.com/atom/github/pull/1428)
  - Enable [Greenkeeper](https://greenkeeper.io/) to keep our dependencies up to date [atom/github#1431](https://github.com/atom/github/pull/1431)
  - :bug: when restoring focus to the commit button [atom/github#1432](https://github.com/atom/github/pull/1432)
  - Restore support for splitting and copying of pane items [atom/github#1433](https://github.com/atom/github/pull/1433)
  - :bug: when rapidly changing the files rendered in the staging view [atom/github#1434](https://github.com/atom/github/pull/1434)
  - Prevent FilePath pane from popping up all the time due to an overeager mouseup handler [atom/github#1435](https://github.com/atom/github/pull/1435)
  - Clear the branch name after a successful checkout [atom/github#1438](https://github.com/atom/github/pull/1438)
  - Improve readability of console git diagnostic messages [atom/github#1439](https://github.com/atom/github/pull/1439)
  - Finalize q2 roadmap
- Teletype
  - Shipped [Teletype 0.13.2](https://github.com/atom/teletype/releases/tag/v0.13.2) to fix an issue that would sometimes occur when closing the WebRTC connection ([atom/teletype#368](https://github.com/atom/teletype/issues/368))
- Reactor Duty

## Focus for week ahead

- Atom Core
  - Finish Atom CI experimentation
  - Fix failing tests on Electron 2.0 upgrade branch, and start using builds from that branch in our day-to-day workflows for ad-hoc regression detection ([#17273](https://github.com/atom/atom/pull/17273))
  - Experiment with new [Electron auto-update service](https://electronjs.org/blog/autoupdating-electron-apps)
  - Publish Atom Q2 plan
- GitHub Package
  - :robot: improve automation and chatops around Atom ecosystem build health
    - Chatops to report flaky builds
    - Improve failing build notifications
- Tree-sitter
  - Continue work on tree-sitter/tree-sitter#162 - converting syntax trees to persistent data structures to allow them to be used simultaneously on multiple threads.
